/*
**      ditoext.library 2.0
**      -------------------
**
**      Language support library for DITO
**
**      (C) Copyright by Dirk Holtwick, 1996
**      All Rights Reserved.
*/

#ifndef  CLIB_DITOEXT_PROTOS_H
#define  CLIB_DITOEXT_PROTOS_H
#ifndef  DOS_DOS_H
#include <dos/dos.h>
#endif
#ifndef  INTUITION_CLASSUSR_H
#include <intuition/classusr.h>
#endif
#ifdef   __cplusplus
#define  CLIBCPLUSON
#pragma  -
#endif

#include <libraries/ditoext.h>

extern struct DITO_ExtInfo *DITO_GetExtInfo (void);
extern struct DITO_InputData *DITO_CreateInput (Object *app);
extern void DITO_DisposeInput (struct DITO_InputData *data);
extern void DITO_WriteInput (struct DITO_InputData *data, APTR entry);
extern void DITO_ClearInput (struct DITO_InputData *data);
extern BOOL DITO_ReadInput (struct DITO_InputData *data, APTR vi, APTR entry);
extern Object *DITO_ActivateFirstInput (struct DITO_InputData *data);
extern void DITO_FontsInput (struct DITO_InputData *data, APTR word, APTR trans, APTR phon);
extern void DITO_UpdateInput (struct DITO_InputData *data);
extern Object *DITO_ParseInput (struct DITO_InputData *data, char *in, char *out);
extern struct DITO_OutputData * DITO_CreateOutput (Object *app);
extern void DITO_DisposeOutput (struct DITO_OutputData *data);
extern void DITO_WriteOutput (struct DITO_OutputData *data, APTR entry);
extern void DITO_FontsOutput (struct DITO_OutputData *data, APTR word, APTR trans, APTR phon);
extern void DITO_UpdateOutput (struct DITO_OutputData *data, APTR entry);
extern char *DITO_GrammarString (APTR entry, char *str);

#ifdef   CLIBCPLUSON
#undef   CLIBCPLUSON
#pragma  +
#endif
#endif

