#ifndef _INCLUDE_PRAGMA_DITOEXT_LIB_H
#define _INCLUDE_PRAGMA_DITOEXT_LIB_H

#ifndef CLIB_DITOEXT_PROTOS_H
#include <clib/ditoext_protos.h>
#endif

#ifdef __cplusplus
extern "C" {
#endif

/*
**      ditoext.library 2.0
**      -------------------
**
**      Language support library for DITO
**
**      (C) Copyright by Dirk Holtwick, 1996
**      All Rights Reserved.
* */
#pragma amicall(DitoExtBase,0x01E,DITO_GetExtInfo())
#pragma amicall(DitoExtBase,0x024,DITO_CreateInput(a0))
#pragma amicall(DitoExtBase,0x02A,DITO_DisposeInput(a0))
#pragma amicall(DitoExtBase,0x030,DITO_WriteInput(a0,a1))
#pragma amicall(DitoExtBase,0x036,DITO_ClearInput(a0))
#pragma amicall(DitoExtBase,0x03C,DITO_ReadInput(a0,a1,a2))
#pragma amicall(DitoExtBase,0x042,DITO_ActivateFirstInput(a0))
#pragma amicall(DitoExtBase,0x048,DITO_FontsInput(a0,d0,d1,d2))
#pragma amicall(DitoExtBase,0x04E,DITO_UpdateInput(a0))
#pragma amicall(DitoExtBase,0x054,DITO_CreateOutput(a0))
#pragma amicall(DitoExtBase,0x05A,DITO_DisposeOutput(a0))
#pragma amicall(DitoExtBase,0x060,DITO_WriteOutput(a0,a1))
#pragma amicall(DitoExtBase,0x066,DITO_FontsOutput(a0,d0,d1,d2))
#pragma amicall(DitoExtBase,0x06C,DITO_UpdateOutput(a0,a1))
#pragma amicall(DitoExtBase,0x072,DITO_ParseInput(a0,a1,a2))
#pragma amicall(DitoExtBase,0x078,DITO_GrammarString(a0,a1))

#ifdef __cplusplus
}
#endif

#endif	/*  _INCLUDE_PRAGMA_DITOEXT_LIB_H  */