/*****************************/
/** ITALIANO/TABELLEN       **/
/** (C) Dirk Holtwick, 1995 **/
/*****************************/ 

#define ANZPERS      6
#define ANZTEMP1     8     // fr a,e,i-Konjugartion
#define ANZTEMP2     7     // fr avere, essere
#define ANZKONJ      4
#define ANZKONJS     3

extern const char     *artikel[];
extern const short    artikelgen[];
extern const char     *KonjSuffixe[ANZKONJS];
extern const char     *PPErg[ANZKONJS];
extern const char     *aarticles[];
extern const char     *zarticles[];
extern const char     *GenusStrs[];
extern const char     *Konjugation[];
extern const char     *Numerus[];
extern const char     *Genus[];
extern const char     *Modus[];
extern const char     *Diathese[];
extern const char     *Person[];
extern const char     *Tempus[];
extern const char     *FutIrr[];
extern const char     *CondIrr[];
extern const char     *CPresIrr[];
extern const char     *CPerfIrr[];
extern const char     *ktab[ANZKONJ][ANZTEMP1][ANZPERS];
extern const char     *avere[ANZTEMP2][ANZPERS];
extern const char     *essere[ANZTEMP2][ANZPERS];
